For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Contact usLogin
GuidesAPI ReferenceChangelog
GuidesAPI ReferenceChangelog
  • Introduction
    • Overview
    • Authentication
    • Errors
    • Software Development Kits
    • Webhooks and Events
    • Sandbox Simulations
  • Core Resources
  • DAFpay
  • Disbursements
  • Gift Processing
      • GETList Properties
      • GETGet a Property
      • GETList Property Options
      • POSTAssign a Property
LogoLogo
Contact usLogin
Gift ProcessingProperties

Get a Property

GET
/v1/properties/:id
GET
/v1/properties/:id
$curl https://api.givechariot.com/v1/properties/property_01j8rs605a4gctmbm58d87mvsj \
> -H "Authorization: Bearer <token>"
1{
2 "id": "property_01j8rs605a4gctmbm58d87mvsj",
3 "name": "Donation Purpose",
4 "resource_type": "donation",
5 "property_type": "text",
6 "options": [
7 {
8 "id": "string",
9 "name": "string",
10 "description": "string"
11 }
12 ],
13 "total_option_count": 1
14}
Get a property by its unique identifier.
Was this page helpful?
Previous

List Property Options

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

idstringRequired
The unique identifier for the property

Response

The property was retrieved
idstringRead-only
The unique identifier for the property.
namestring
The name of the property.
resource_typeenum
The API resource that the property is associated with.
Allowed values:
property_typeenum
The data type of a property.
Allowed values:
optionslist of objects

The first 25 options for enum and user properties. Use the List Property Options endpoint to paginate through all options.

total_option_countinteger

The total number of options for enum and user properties. When this is greater than the length of options, use the List Property Options endpoint to paginate through all options.

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error